<div class="login-register" style="background-image:url(assets/images/background/login-register.jpg);">
    <div class="login-register-box">
        <mat-card>
            <mat-card-content>
                <form [formGroup]="form" (ngSubmit)="onSubmit()">
                    <div class="text-center">
                        <img alt="homepage" src="assets/images/background/VISAAL-LOGO-345164.png" width="100px" height="75px">
                        <h4 class="m-t-0 title">Connectez-vous sur Visaal</h4>
                    </div>

                  <div *ngIf="errorMsg" class="text-danger support-text">{{errorMsg}}</div>

                    <div fxLayout="row wrap">
                        <!-- col full-->
                        <div fxFlex.gt-sm="100" fxFlex.gt-xs="100" fxFlex="100">
                            <mat-form-field>
                                <input matInput placeholder="Adresse email" [formControl]="form.controls['email']" type="email">
                            </mat-form-field>

                            <small *ngIf="form.controls['email'].hasError('required') && form.controls['email'].touched" class="text-danger support-text">Nom d'utilisateur est nécessaire.</small>
                        </div>
                        <!-- col full-->
                        <div fxFlex.gt-sm="100" fxFlex.gt-xs="100" fxFlex="100">
                            <mat-form-field>
                                <input matInput type="password" placeholder="Password" [formControl]="form.controls['password']">
                            </mat-form-field>
                            <small *ngIf="form.controls['password'].hasError('required') && form.controls['password'].touched" class="text-danger support-text">Mot de passe requis.</small>
                        </div>
                        <!-- col half-->
                        <div fxFlex.gt-sm="50" fxFlex.gt-xs="50">
                            <mat-checkbox color="warn">Souviens-toi de moi</mat-checkbox>
                        </div>
                        <!-- col half-->
                        <div fxFlex.gt-sm="50" fxFlex.gt-xs="50" class="text-right">
                            <a [routerLink]="['/authentication/forgot']" class="link">Mot de passe oublié?</a>
                        </div>
                        <!-- col full-->
                        <div fxFlex.gt-sm="100" fxFlex.gt-xs="100" fxFlex="100">
                            <button mat-raised-button color="primary" class="btn-block btn-lg m-t-20 m-b-20" type="submit" [disabled]="!form.valid">Connexion</button>
                        </div>
                        <!-- col full-->
                        <div fxFlex.gt-sm="100" fxFlex.gt-xs="100" fxFlex="100" class="text-center">
                            <span>Vous n'avez pas de compte?
                                <a [routerLink]="['/authentication/register']" class="text-info link">S'inscrire</a>
                            </span>
                        </div>
                    </div>
                </form>
            </mat-card-content>
        </mat-card>
    </div>
</div>
